##
##  xaw3d.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         xaw3d
Summary:      X-Window Athena Widgets 3D
URL:          ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/
Vendor:       Unknown
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        XWindow
License:      GPL
Version:      1.5
Release:      20021017

#   list of sources
Source0:      ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/Xaw3d-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    xaw3d is the most badly packaged program in the OpenPKG world.

%prep
    %setup -q -c

%build
    cd xc/lib/Xaw3d/
    %{l_shtool} mkdir -f -p -m 755 X11/Xaw3d
    (cd X11/Xaw3d; ln -s ../../*.h .)
    PATH=$PATH:`%{l_prefix}/etc/rc --query x11_bindir`
    %{l_shtool} subst \
        -e 's;^#[ 	]*\(EXTRA_DEFINES.*\);\1;' \
        -e 's;^#[ 	]*\(EXTRA_INCLUDES.*\);\1;' \
        Imakefile
    xmkmf
    %{l_make} %{l_mflags -O} Makefiles
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include/X11/Xaw3d \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        xc/lib/Xaw3d/*.h $RPM_BUILD_ROOT%{l_prefix}/include/X11/Xaw3d/
    %{l_shtool} install -c -m 644 \
        xc/lib/Xaw3d/libXaw3d.a $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

